import request from '@/utils/request'
import Qs from 'qs';

//获取停车场信息
export function findByCompanyId(companyId) {
	return request({
		url: '/mobile/parkingInfoApi/findByCompanyId',
		data: Qs.stringify({
			companyId: companyId
		}),
		method: 'post',
	})
}


//查询车牌号缴费详情
export function carPayDetail(params) {
	return request({
		url: '/mobile/parkingInfoApi/carPayDetail',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//查询当前车辆缴费详情
export function channelPayDetail(params) {
	return request({
		url: '/mobile/parkingInfoApi/channelPayDetail',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取微信支付信息
export function parkingWxPay(params) {
	return request({
		url: '/wxPay/parkingWxPay',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取支付宝支付信息
export function parkingTradeWebPay(params) {
	return request({
		url: '/aliPay/parkingTradeWebPay',
		data: Qs.stringify(params),
		method: 'post',
	})
}


//获取停车场信息
export function userGetCarDetail(code,companyId,qrCode) {
	return request({
		url: '/mobile/parkingInfoApi/userGetCarDetail?carNumber='+code+'&merchantId='+companyId+"&qrCode="+qrCode,
		
		method: 'get',
	})
}

//获取停车场信息
export function userGetCarMember(carNumber,companyId,qrCode) {
	return request({
		url: '/mobile/parkingInfoApi/userGetCarMember',
		data: Qs.stringify({
			carNumber:carNumber,
			 merchantId:companyId,
			 qrCode:qrCode,
		}),
		method: 'post',
	})
}

export function validQrCode(companyId,qrCode) {
	return request({
		url: '/mobile/parkingInfoApi/validQrCode',
		data: Qs.stringify({
		 
			 merchantId:companyId,
			 qrCode:qrCode,
		}),
		method: 'post',
	})
}